com.fasterxml.jackson.annotation

## Class JsonTypeInfo.Value

- java.lang.Object
- - com.fasterxml.jackson.annotation.JsonTypeInfo.Value

All Implemented Interfaces:
  JacksonAnnotationValue<JsonTypeInfo>, Serializable

Enclosing class:
  JsonTypeInfo

    public static class JsonTypeInfo.Value
    extends Object
    implements JacksonAnnotationValue<JsonTypeInfo>, Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`protected Class<?>` `_defaultImpl`
`protected JsonTypeInfo.Id` `_idType`
`protected boolean` `_idVisible`
`protected JsonTypeInfo.As` `_inclusionType`
`protected String` `_propertyName`
`protected Boolean` `_requireTypeIdForSubtypes`
`protected static JsonTypeInfo.Value` `EMPTY`

### Constructor Summary

Constructors
`protected` `Value(JsonTypeInfo.Id idType, JsonTypeInfo.As inclusionType, String propertyName, Class<?> defaultImpl, boolean idVisible, Boolean requireTypeIdForSubtypes)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JsonTypeInfo.Value` `construct(JsonTypeInfo.Id idType, JsonTypeInfo.As inclusionType, String propertyName, Class<?> defaultImpl, boolean idVisible, Boolean requireTypeIdForSubtypes)`
`boolean` `equals(Object o)`
`static JsonTypeInfo.Value` `from(JsonTypeInfo src)`
`Class<?>` `getDefaultImpl()`
`JsonTypeInfo.Id` `getIdType()`
`boolean` `getIdVisible()`
`JsonTypeInfo.As` `getInclusionType()`
`String` `getPropertyName()`
`Boolean` `getRequireTypeIdForSubtypes()`
`int` `hashCode()`
`static boolean` `isEnabled(JsonTypeInfo.Value v)` Static helper method for simple(r) checking of whether there's a Value instance that indicates that polymorphic handling is (to be) enabled.
`String` `toString()`
`Class<JsonTypeInfo>` `valueFor()` Introspection method that may be used to find actual annotation that may be used as the source for value instance.
`JsonTypeInfo.Value` `withDefaultImpl(Class<?> impl)`
`JsonTypeInfo.Value` `withIdType(JsonTypeInfo.Id idType)`
`JsonTypeInfo.Value` `withIdVisible(boolean visible)`
`JsonTypeInfo.Value` `withInclusionType(JsonTypeInfo.As inclusionType)`
`JsonTypeInfo.Value` `withPropertyName(String propName)`
`JsonTypeInfo.Value` `withRequireTypeIdForSubtypes(Boolean requireTypeIdForSubtypes)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY

    protected static final JsonTypeInfo.Value EMPTY

#### _idType

    protected final JsonTypeInfo.Id _idType

#### _inclusionType

    protected final JsonTypeInfo.As _inclusionType

#### _propertyName

    protected final String _propertyName

#### _defaultImpl

    protected final Class<?> _defaultImpl

#### _idVisible

    protected final boolean _idVisible

#### _requireTypeIdForSubtypes

    protected final Boolean _requireTypeIdForSubtypes

### Constructor Detail

#### Value

    protected Value(JsonTypeInfo.Id idType,
                    JsonTypeInfo.As inclusionType,
                    String propertyName,
                    Class<?> defaultImpl,
                    boolean idVisible,
                    Boolean requireTypeIdForSubtypes)

### Method Detail

#### construct

    public static JsonTypeInfo.Value construct(JsonTypeInfo.Id idType,
                                               JsonTypeInfo.As inclusionType,
                                               String propertyName,
                                               Class<?> defaultImpl,
                                               boolean idVisible,
                                               Boolean requireTypeIdForSubtypes)

#### from

    public static JsonTypeInfo.Value from(JsonTypeInfo src)

#### withDefaultImpl

    public JsonTypeInfo.Value withDefaultImpl(Class<?> impl)

#### withIdType

    public JsonTypeInfo.Value withIdType(JsonTypeInfo.Id idType)

#### withInclusionType

    public JsonTypeInfo.Value withInclusionType(JsonTypeInfo.As inclusionType)

#### withPropertyName

    public JsonTypeInfo.Value withPropertyName(String propName)

#### withIdVisible

    public JsonTypeInfo.Value withIdVisible(boolean visible)

#### withRequireTypeIdForSubtypes

    public JsonTypeInfo.Value withRequireTypeIdForSubtypes(Boolean requireTypeIdForSubtypes)

#### valueFor

    public Class<JsonTypeInfo> valueFor()

Description copied from interface: `JacksonAnnotationValue`
Introspection method that may be used to find actual annotation that may be used as the source for value instance.

Specified by:
  `valueFor` in interface `JacksonAnnotationValue<JsonTypeInfo>`
Returns:
  Annotation class for which instances of this value class are created

#### getDefaultImpl

    public Class<?> getDefaultImpl()

#### getIdType

    public JsonTypeInfo.Id getIdType()

#### getInclusionType

    public JsonTypeInfo.As getInclusionType()

#### getPropertyName

    public String getPropertyName()

#### getIdVisible

    public boolean getIdVisible()

#### getRequireTypeIdForSubtypes

    public Boolean getRequireTypeIdForSubtypes()

#### isEnabled

    public static boolean isEnabled(JsonTypeInfo.Value v)

Static helper method for simple(r) checking of whether there's a Value instance that indicates that polymorphic handling is (to be) enabled.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`